%global momorel 1

Summary: Secret Rabbit Code is Sample Rate Converter for audio
Name: libsamplerate
Version: 0.1.2
Release: %{momorel}m
Group:  Applications/Multimedia
License: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.mega-nerd.com/SRC/
%NoSource 0  http://www.mega-nerd.com/SRC/%{name}-%{version}.tar.gz 06861c2c6b8e5273c9b80cf736b9fd0e
Requires: libsndfile >= 1.0.2
BuildRequires: fftw-devel, libsndfile-devel >= 1.0.2

%description
 Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for audio. One example of where such a thing would be useful is converting audio from the CD sample rate of 44.1kHz to the 48kHz sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from downsampling by a factor of 12 to upsampling by the same factor. Arbitrary in this case means that the ratio of input and output sample rates can be an irrational number. The conversion ratio can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded off against computation cost. The current best converter provides a signal-to-noise ratio of 97dB with -3dB passband extending from DC to 96% of the theoretical best bandwidth for a given pair of input and output sample rates.

%package devel
Summary:        libsamplerate header files and development documentation
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description devel
Header files and development documentation for libsamplerate.

%prep

%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc NEWS AUTHORS README INSTALL ChangeLog COPYING doc/ examples/
%{_bindir}/*
%{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.a

%changelog
* Mon Oct 04 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.2-1m)
- update to 0.1.2
- make install transform='s,x,x,'

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.0-1m)
- import to Momonga
- needed by kino-0.7.1
